Subject: Re: pkg/29404
To: None <,,>
From: Jeremy C. Reed <>
List: pkgsrc-bugs
Date: 04/09/2005 04:48:02
The following reply was made to PR pkg/29404; it has been noted by GNATS.

From: "Jeremy C. Reed" <>
Subject: Re: pkg/29404
Date: Fri, 8 Apr 2005 21:47:29 -0700 (PDT)

 It is probably too late to bump PKGREVISIONs now for the modules. But I
 had the problem again today.
 The following is paraphrased from the packages list from February.
 Bernd E. suggested an idea:
 Have the packages include the perl version (PKGNAME_NOREV) in the package
 name and then depend on that version, for example:
   p586-libwww-5.76nb2 (instead of p5-libwww-5.76nb2)
 Frederick B. mentioned he thinks the "vendorlib" could be set to
 something like "${LOCALBASE}/lib/perl5/pkg" (which would be used for the
 @INC path).
 Grant B. said we must bump the PKGREVISION for all perl modules when
 perl is updated or the hardcoded paths will be wrong. See PR #28619.
  Jeremy C. Reed
  	  	 	 BSD News, BSD tutorials, BSD links